------------------------------------------------------------------------------------
--Name：            200628[简体征服][活动脚本]全球七夕花魁活动（剧情）
--Creator:      耿力兀
--Created:     2020-06-28
------------------------------------------------------------------------------------

------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
local player1 = CppScriptMgr:AddSimplePlayer(45657,79,124,"Christmas Gift Box",4003000011,1)
local player2 = CppScriptMgr:AddSimplePlayer(45657,79,117,"Christmas Gift Box",4003000012,1)
local player3 = CppScriptMgr:AddSimplePlayer(45657,79,110,"Christmas Gift Box",4003000013,1)
local player4 = CppScriptMgr:AddSimplePlayer(45657,79,103,"Christmas Gift Box",4003000014,1)
local player5 = CppScriptMgr:AddSimplePlayer(45657,79,96,"Christmas Gift Box",4003000015,1)
local player6 = CppScriptMgr:AddSimplePlayer(45657,87,124,"Christmas Gift Box",4003000016,1)
local player7 = CppScriptMgr:AddSimplePlayer(45657,87,117,"Christmas Gift Box",4003000017,1)
local player8 = CppScriptMgr:AddSimplePlayer(45657,87,110,"Christmas Gift Box",4003000018,1)
local player9 = CppScriptMgr:AddSimplePlayer(45657,87,103,"Christmas Gift Box",4003000019,1)
local player10 = CppScriptMgr:AddSimplePlayer(45657,87,96,"Christmas Gift Box",4003000020,1)
local player11 = CppScriptMgr:AddSimplePlayer(45657,95,124,"Christmas Gift Box",4003000021,1)
local player12 = CppScriptMgr:AddSimplePlayer(45657,95,117,"Christmas Gift Box",4003000022,1)
local player13 = CppScriptMgr:AddSimplePlayer(45657,95,110,"Christmas Gift Box",4003000023,1)
local player14 = CppScriptMgr:AddSimplePlayer(45657,95,103,"Christmas Gift Box",4003000024,1)
local player15 = CppScriptMgr:AddSimplePlayer(45657,95,96,"Christmas Gift Box",4003000025,1)
local player16 = CppScriptMgr:AddSimplePlayer(45657,103,124,"Christmas Gift Box",4003000026,1)
local player17 = CppScriptMgr:AddSimplePlayer(45657,103,117,"Christmas Gift Box",4003000027,1)
local player18 = CppScriptMgr:AddSimplePlayer(45657,103,110,"Christmas Gift Box",4003000028,1)
local player19 = CppScriptMgr:AddSimplePlayer(45657,103,103,"Christmas Gift Box",4003000029,1)
local player20 = CppScriptMgr:AddSimplePlayer(45657,103,96,"Christmas Gift Box",4003000030,1)
local player21 = CppScriptMgr:AddSimplePlayer(45657,111,124,"Christmas Gift Box",4003000031,1)
local player22 = CppScriptMgr:AddSimplePlayer(45657,111,117,"Christmas Gift Box",4003000032,1)
local player23 = CppScriptMgr:AddSimplePlayer(45657,111,110,"Christmas Gift Box",4003000033,1)
local player24 = CppScriptMgr:AddSimplePlayer(45657,111,103,"Christmas Gift Box",4003000034,1)
local player25 = CppScriptMgr:AddSimplePlayer(45657,111,96,"Christmas Gift Box",4003000035,1)
local player26 = CppScriptMgr:AddSimplePlayer(1050547,110,89,"Sam",4003000036,1)
player1:SetZoomPercent(60)
player2:SetZoomPercent(60)
player3:SetZoomPercent(60)
player4:SetZoomPercent(60)
player5:SetZoomPercent(60)
player6:SetZoomPercent(60)
player7:SetZoomPercent(60)
player8:SetZoomPercent(60)
player9:SetZoomPercent(60)
player10:SetZoomPercent(60)
player11:SetZoomPercent(60)
player12:SetZoomPercent(60)
player13:SetZoomPercent(60)
player14:SetZoomPercent(60)
player15:SetZoomPercent(60)
player16:SetZoomPercent(60)
player17:SetZoomPercent(60)
player18:SetZoomPercent(60)
player19:SetZoomPercent(60)
player20:SetZoomPercent(60)
player21:SetZoomPercent(60)
player22:SetZoomPercent(60)
player23:SetZoomPercent(60)
player24:SetZoomPercent(60)
player25:SetZoomPercent(60)
local effectObj1  = CppScriptMgr:AddEffect("LuckDiffuse",79,124)
local effectObj2  = CppScriptMgr:AddEffect("LuckDiffuse",79,117)
local effectObj3  = CppScriptMgr:AddEffect("LuckDiffuse",79,110)
local effectObj4  = CppScriptMgr:AddEffect("LuckDiffuse",79,103)
local effectObj5  = CppScriptMgr:AddEffect("LuckDiffuse",79,96)
local effectObj6  = CppScriptMgr:AddEffect("LuckDiffuse",87,124)
local effectObj7  = CppScriptMgr:AddEffect("LuckDiffuse",87,117)
local effectObj8  = CppScriptMgr:AddEffect("LuckDiffuse",87,110)
local effectObj9  = CppScriptMgr:AddEffect("LuckDiffuse",87,103)
local effectObj10 = CppScriptMgr:AddEffect("LuckDiffuse",87,96)
local effectObj11 = CppScriptMgr:AddEffect("LuckDiffuse",95,124)
local effectObj12 = CppScriptMgr:AddEffect("LuckDiffuse",95,117)
local effectObj13 = CppScriptMgr:AddEffect("LuckDiffuse",95,110)
local effectObj14 = CppScriptMgr:AddEffect("LuckDiffuse",95,103)
local effectObj15 = CppScriptMgr:AddEffect("LuckDiffuse",95,96)
local effectObj16 = CppScriptMgr:AddEffect("LuckDiffuse",103,124)
local effectObj17 = CppScriptMgr:AddEffect("LuckDiffuse",103,117)
local effectObj18 = CppScriptMgr:AddEffect("LuckDiffuse",103,110)
local effectObj19 = CppScriptMgr:AddEffect("LuckDiffuse",103,103)
local effectObj20 = CppScriptMgr:AddEffect("LuckDiffuse",103,96)
local effectObj21 = CppScriptMgr:AddEffect("LuckDiffuse",111,124)
local effectObj22 = CppScriptMgr:AddEffect("LuckDiffuse",111,117)
local effectObj23 = CppScriptMgr:AddEffect("LuckDiffuse",111,110)
local effectObj24 = CppScriptMgr:AddEffect("LuckDiffuse",111,103)
local effectObj25 = CppScriptMgr:AddEffect("LuckDiffuse",111,96)

-- 镜头一
CppScriptMgr:SetViewPosByCell(103,89)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,90)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,91)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,92)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,93)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,94)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,95)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,96)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,97)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,98)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,99)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,100)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,101)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,102)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,103)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,104)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,105)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,106)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,107)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,108)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,109)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,110)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,111)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,112)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,113)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,114)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,115)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,116)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,117)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,118)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,119)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,120)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,121)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,122)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,123)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,124)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,125)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,126)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:SetViewPosByCell(103,127)
CppScriptMgr:WaitMilSec(50)
CppScriptMgr:NpcCallOut("    Welcome to Christmas Treasury! I`ve prepared 25 Christmas Gift Boxes for you. Open them with Christmas Scissors to trigger wonders!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Christmas Officer",250,655)
CppScriptMgr:WaitMilSec(2500)